Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# TDataStd_GeometryEnum.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations
enum | TDataStd_GeometryEnum { TDataStd_ANY_GEOM, TDataStd_POINT, TDataStd_LINE, TDataStd_CIRCLE, TDataStd_ELLIPSE, TDataStd_SPLINE, TDataStd_PLANE, TDataStd_CYLINDER }
| The terms of this enumeration define the types of geometric shapes available. . More...

## Enumeration Type Documentation

enum TDataStd_GeometryEnum

  | Enumeration values:
  TDataStd_ANY_GEOM |
  TDataStd_POINT |
  TDataStd_LINE |
  TDataStd_CIRCLE |
  TDataStd_ELLIPSE |
  TDataStd_SPLINE |
  TDataStd_PLANE |
  TDataStd_CYLINDER |